Description

ENG - Draw Polyline as arc fails
Steps
1.- Open gvSIG
2.- Create view
3.- Open view
4.- Add layer
5.- In ToC select right button menu on layer selected
6.- Start edition
7.- Select polyline
8.- Draw polylines 1st point with absolute coordinates
9.- Insert 2nd point with absolute coordinates
10.- Finish edition
11.- Save the changes
12.- The final polyline is a line, not an arc
13.- The same problem when you draw it using relative or polar coordinates

ESP - Fallo al dibujar una polilínea como arco
Pasos
1.- Abrir gvSIG
2.- Crear vista nueva
3.- Abrir vista
4.- Añadir capa
5.- Botón derecho en la ToC sobre la capa seleccionada
6.- Comenzar edición
7.- Seleccionar polilínea
8.- Dibujar el primer punto de la polilínea con coordenadas absolutas
9.- Dibujar el segundo punto con coordenadas absolutas
10.- Terminar edición
11.- Guardar cambios
12.- La polilínea resultante es una línea y no un arco
13.- Presenta el mismo problema si dibujamos la polilínea con coordenadas relativas o polares

History
#1 - 10/08/2012 12:50 PM - Abenchara Socorro
- Target version set to 2.0.0-rc1

#2 - 10/10/2012 11:09 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#3 - 10/16/2012 09:29 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixing method to get path iterator of multi-geometry and other saveguards to prevent null values.

gvsig-desktop:r39063

Test in BN 2057:

- Repeat the steps described by Abenchara and it should work.

#4 - 10/22/2012 04:30 PM - Juan Lucas Domínguez

Showing error message in status bar when true arc cannot be created (not drawing, etc)

gvsig-desktop:r39084

#5 - 11/09/2012 01:32 PM - Abenchara Socorro
- Status changed from Fixed to Closed
